// Copyright (c) Mito
import React, { useState, useEffect } from 'react';
import DownloadIcon from '../../icons/DownloadIcon';
/*
    Displays the column summary graph in the column control panel
*/
function ColumnSummaryGraph(props) {
    const [base64PNGImage, setBase64PNGImage] = useState('');
    const [alt, setAlt] = useState('Graph is loading...');
    async function loadBase64PNGImage() {
        const loadedBase64PNGImage = await props.mitoAPI.getGraph(props.columnHeader, props.selectedSheetIndex);
        if (loadedBase64PNGImage === '') {
            setAlt('Sorry, it looks like there are too many items in this column to display them well.');
            await props.mitoAPI.sendLogMessage('too_many_items_to_display_graph');
        }
        else {
            setBase64PNGImage(loadedBase64PNGImage);
        }
    }
    useEffect(() => {
        void loadBase64PNGImage();
    }, []);
    return (React.createElement(React.Fragment, null,
        React.createElement("div", { className: 'filter-modal-section-title' },
            React.createElement("p", null, " Column Summary Graph "),
            base64PNGImage !== '' &&
                React.createElement("div", null,
                    React.createElement("a", { className: 'mr-30px', href: 'data:image/png;base64, ' + base64PNGImage, download: props.columnHeader + '-frequency-graph.png', onClick: () => {
                            // We log the download of the graph
                            void props.mitoAPI.sendLogMessage('click_download_column_summary_graph', {
                                'column_header': props.columnHeader
                            });
                        } },
                        React.createElement(DownloadIcon, null)))),
        React.createElement("img", { className: 'mb-2', src: 'data:image/png;base64, ' + base64PNGImage, alt: alt })));
}
export default ColumnSummaryGraph;
//# sourceMappingURL=ColumnSummaryGraph.js.map